import { Interceptor } from './interceptor';
import { IActionResult } from './result';
import { ParmRule } from './rules';
export default interface ActionConfig {
    name: string;
    path: string;
    methods?: string | string[];
    params?: ParmRule;
    result?: string | IActionResult;
    interceptors?: string[] | Interceptor[];
    model?: string;
    middleware?: any;
    data?: object;
}
