"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("./base");
class ValidateError extends base_1.default {
    constructor(errors, msg = '字段数据存在验证错误.') {
        super('error.validate', msg);
        this.code = -10086;
        this.errors = errors;
    }
    static create(field, message) {
        return new ValidateError([{ field, message }]);
    }
}
exports.default = ValidateError;
