import { ValidatorService, ValidatorErrorInfo } from './interceptor/validator';
export interface IValidatorFunc {
    (value: any, options: object): boolean;
}
export interface IConvertFunc {
    (value: any, options: object): any;
}
export default class ParameterValidator implements ValidatorService {
    private static typeMap;
    static addRule(type: any, v: IValidatorFunc, c: IConvertFunc): void;
    protected static isPhone(str: any, options: any): boolean;
    protected static isDate(str: any, options: any): boolean;
    protected static isString(str: any, options: any): any;
    protected static isArray(obj: any, options: any): boolean;
    protected static isJSON(str: any, options: any): any;
    protected static isObjectId(str: any): any;
    protected static isContains(str: any, options: any): any;
    protected static parseDate(val: any): Date;
    protected static parseString(val: any): any;
    protected static parseBoolean(str: any): boolean;
    protected static parseEnum(val: any, options: any): any;
    protected static parseJson(val: any, options: any): any;
    protected static parseObjectId(val: any): import("./model").ObjectId;
    protected validateRules(rules: any, params: object, parent?: string): ValidatorErrorInfo[];
    validate(rules: object, params: object): Promise<ValidatorErrorInfo[]>;
}
