import * as ts from 'typescript';
export default class BaseAstParser {
    protected ast: ts.SourceFile;
    constructor(code: string);
    query(selector: string, node?: any): ts.Node[];
    getImportNode(file: string): ts.Node[];
    getInterfaceNode(name: string): ts.Node[];
    getVariableNode(name: string): ts.Node[];
}
