"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ActionResultManager {
    static add(name, type) {
        const result = new type();
        ActionResultManager.results.set(name, result);
        return result;
    }
    static get(name) {
        return ActionResultManager.results.get(name);
    }
    static getAll() {
        const results = new Array();
        for (const [, value] of ActionResultManager.results) {
            results.push(value);
        }
        return results;
    }
    static create(result) {
        if (typeof result === 'string') {
            return ActionResultManager.get(result);
        }
        return result;
    }
}
ActionResultManager.results = new Map();
exports.default = ActionResultManager;
