"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const _1 = require(".");
const type_1 = require("../type");
let RedirectResult = class RedirectResult {
    async render(ctx, value) {
        if (typeof (value) !== 'string' || !value.length) {
            throw new Error('RedirectResult必须指定value为有效的URL.');
        }
        ctx.status = 301;
        await ctx.unsafeRedirect(value);
    }
    static create(url) {
        throw new Error("Method not implemented.");
    }
};
RedirectResult = tslib_1.__decorate([
    _1.default(type_1.default.redirect)
], RedirectResult);
exports.default = RedirectResult;
