"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypt = require('crypto');
class Crypt {
    static sha256Encode(str, salt) {
        const hash = crypt.createHmac('sha256', salt).update(str).digest('hex');
        return hash;
    }
    static md5Encode(str) {
        let md5 = crypt.createHash('md5');
        return md5.update(str).digest('hex').toUpperCase();
    }
}
exports.default = Crypt;
