import { ICodeGenerator } from '.';
export declare type IFileGenerator = ICodeGenerator<string>;
export declare abstract class FileGenerator {
    protected getUpperName(name: string): string;
}
export declare class ControllerFileGenerator extends FileGenerator implements IFileGenerator {
    generate(name: string): string;
}
export declare class ModelFileGenerator extends FileGenerator implements IFileGenerator {
    generate(name: string): string;
}
export declare class ServiceFileGenerator extends FileGenerator implements IFileGenerator {
    generate(name: string): string;
}
export declare class RulesFileGenerator extends FileGenerator implements IFileGenerator {
    generate(name: string): string;
}
