import { ICodeGenerator } from '.';
import { IModelSchema, IProperty } from '../parser/model';
export declare type IModelGenerator = ICodeGenerator<IModelSchema>;
export declare abstract class ModelGenerator {
    protected isProperty(prop: IProperty): boolean | "";
}
export declare class ModelInterfaceGenerator extends ModelGenerator implements IModelGenerator {
    private getName;
    private writeFields;
    generate(model: IModelSchema): string;
}
