import { Interceptor } from '.';
import ActionMetaData from '../metadata';
export interface ValidatorErrorInfo {
    field: string;
    message: string;
}
export interface ValidatorService {
    validate(rules: object, params: object): Promise<ValidatorErrorInfo[]>;
}
export default class Validator implements Interceptor {
    static rules: object;
    static service: ValidatorService;
    execute(target: any, metadata: ActionMetaData): Promise<boolean>;
}
