import { IOrderInfo, IPageInfo, IPagingData } from '../model';
export interface IQueryProvider {
    getCountQuery: (query: any) => any;
    getDataQuery?: (query: any) => any;
    getLastQuery?: (query: any) => any;
}
export default class PagingService {
    static DEFAULT_ORDER: IOrderInfo;
    static getOrderQuery(orderBy: IOrderInfo[] | IOrderInfo): {} | undefined;
    static getPagingDataByQuery<TData>(provider: IQueryProvider, query: any, pageInfo?: IPageInfo, orderBy?: IOrderInfo[] | IOrderInfo): Promise<IPagingData<TData>>;
    static getPagingData<TData>(model: any, query: any, pageInfo?: IPageInfo, orderBy?: IOrderInfo[] | IOrderInfo): Promise<IPagingData<TData>>;
}
