import { ParamType } from '../params';
export declare const AdRules: {
    filter: {
        user_id: {
            type: ParamType;
            memo: string;
        };
        title: {
            type: ParamType;
            max: number;
            memo: string;
        };
        images: {
            type: ParamType;
            max: number;
            memo: string;
            schema: {
                type: ParamType;
            };
        };
        platform: {
            type: ParamType;
            memo: string;
            value: ParamType;
            ref: string;
        };
        type: {
            type: ParamType;
            memo: string;
        };
        start_time: {
            type: ParamType;
            memo: string;
        };
        test: {
            type: {
                type: ParamType;
                max: number;
                memo: string;
                schema: {
                    id: {
                        type: ParamType;
                    };
                };
            };
        };
    };
    orderBy: import("../rules").ParmRule;
};
