"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mongo_1 = require("../utils/mongo");
const random_1 = require("../utils/random");
const assert = require("assert");
const colors = require("colors");
const storage_1 = require("../service/storage");
describe('✈综合测试', function () {
    it('#随机指定范围的数字', function () {
        const arr = new Array();
        for (let index = 0; index < 100; index++) {
            const min = 0;
            const max = 10;
            const num = random_1.default.next(min, max);
            assert.ok(num >= min && num < max);
            arr.push(num);
        }
        console.log(colors.green(arr.join(' ')));
    });
    it('#mongo', function () {
        const oid = mongo_1.default.toObjectId('5f35694290679c6979769bc7');
        for (const key of Object.getOwnPropertyNames(oid)) {
            console.log(key, oid[key], typeof oid[key]);
        }
        console.log(oid.toString());
    });
    it('#storage', async function () {
        const id = storage_1.default.getSessionId('http://www.test.com/test/test.png?sid=11111');
        console.log(id);
        const url = storage_1.default.appendSessionId('http://www.test.com/test/test.png', '222222');
        console.log(url);
    });
});
