"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypt = require('crypto');
class AES {
    static encrypt(str, key, iv) {
        let sign = '';
        const keySecret = Buffer.from(key, 'utf8');
        const ivBuf = Buffer.from(iv, 'utf8');
        const cipher = crypt.createCipheriv('aes-128-cbc', keySecret, ivBuf);
        sign += cipher.update(str, 'utf8', 'hex');
        sign += cipher.final('hex');
        sign = Buffer.from(sign, 'hex').toString('base64');
        return sign;
    }
    static decrypt(str, key, iv) {
        let src = '';
        const keySecret = Buffer.from(key, 'utf8');
        const ivBuf = Buffer.from(iv, 'utf8');
        const sign = Buffer.from(str, 'base64');
        const cipher = crypt.createDecipheriv('aes-128-cbc', keySecret, ivBuf);
        src += cipher.update(sign, 'hex', 'utf8');
        src += cipher.final('utf8');
        return src;
    }
}
exports.default = AES;
