import * as moment from 'moment';
export default class DateUtil {
    static getShortDate(day: moment.Moment): moment.Moment;
    static getTodayShortDate(): moment.Moment;
    static getCurrentDay(day: moment.Moment): {
        start: Date;
        end: Date;
    };
    static getTodayRange(): {
        start: Date;
        end: Date;
    };
    static getYesterday(): {
        start: Date;
        end: Date;
    };
    static getLatestWeek(): {
        start: Date;
        end: Date;
    };
    static getLastMonth(): {
        start: Date;
        end: Date;
    };
    static getThisMonth(): {
        start: Date;
        end: Date;
    };
}
