"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Random {
    static generateNumber(len) {
        const num = Math.pow(10, len - 1);
        return Math.floor(Math.random() * num) + num;
    }
    static generateString(len, chars = Random.DEFAULT_STRINGL) {
        let s = '';
        for (let i = 0; i <= len; i++) {
            s += chars.substr(Math.floor(Math.random() * 34), 1);
        }
        return s;
    }
    static next(min, max) {
        const range = max - min;
        const rnd = Math.random();
        const num = min + Math.floor(rnd * range);
        return num;
    }
}
Random.DEFAULT_STRINGL = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
Random.DEFAULT_STRINGL_UPPERCASE = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
Random.DEFAULT_STRINGL_PURE = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
exports.default = Random;
